import 'package:apply/core/plugins_service.dart';

class Ranges {
  static List<RegExp> forPlugin(String id) =>
      PluginsService.findById(id)?.allRanges.where((element) => ![0, 1].contains(element.id)).map((e) {
        var regex = e.regex;
        var pattern = regex.pattern.replaceAll("^", "").replaceAll("\$", "");
        return RegExp(pattern);
      }).toList(growable: false) ??
      [];
}
