import 'package:flutter/material.dart' as m;
import 'package:apply/apply.dart';


class Button extends m.StatelessWidget {
  final String title;
  final String style;
  final m.VoidCallback? onPressed;
  final m.Widget? child;

  Button({
    this.title = "",
    this.style = "",
    this.onPressed,
    this.child,
  });

  m.Widget get defaultWidget => m.TextButton(
    child: P(title),
    onPressed: onPressed,
  );

  @override
  m.Widget build(m.BuildContext context) => Div(
        style: " $style",
        child: child ?? defaultWidget,
      );
}
