import 'package:apply/apply.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/core/plugin.dart';
import 'package:flutter/material.dart' show Widget, Builder, ClipRRect, WidgetBuilder, BorderRadius, Container;

//dekoracije -> dolazi poslije displeya.
//Ovdje ide sve za stil, nista oko ponasanja, to je u display.
class BoxHandler {
  final Div element;
  final ComposableWidget start;

  Set<Plugin>? get plugins => element.plugins;

  List<Widget> get children => element.children;

  BoxHandler(this.element, this.start);

  ComposableWidget run() {
    ComposableWidget result = start;

    return (wb) => result(wb);
  }

  ComposableWidget call() => run();
}
