// import 'package:flutter/cupertino.dart';
// import 'package:flutter_staggered_animations/flutter_staggered_animations.dart';
// import 'package:apply/core/framework.dart';
// import 'package:apply/core/plugin.dart';
// import 'package:apply/core/range.dart';
// import 'package:apply/core/value.dart';
// import 'package:apply/elements/div.dart';
// import 'package:apply/elements/element_class.dart';
//
// class AnimationP extends Plugin {
//   final List<Range> ranges = [
//     Range(new RegExp(r"(animate-|staggered|fadein|slide)"), 0),
//   ];
//   final List<Range> cRanges = [
//     Range(new RegExp(r"^animate-staggered$"), 1),
//     Range(new RegExp(r"^animate-\d{1,6}$"), 2),
//     Range(new RegExp(r"^animate-delay-\d{1,6}$"), 3),
//     Range(new RegExp(r"^slide-x-\d{1,3}$"), 13),
//     Range(new RegExp(r"^-slide-x-\d{1,3}$"), 14),
//     Range(new RegExp(r"^slide-y-\d{1,3}$"), 23),
//     Range(new RegExp(r"^-slide-y-\d{1,3}$"), 24),
//   ];
//   final String? value;
//   final String id = "animation";
//
//   AnimationP([this.value]) {
//     setConfig();
//     if (value != null) {
//       addValue(value);
//     }
//   }
//
//   @override
//   AnimationP createInstance(ElementClass elementClass) => AnimationP(elementClass.value);
//
//   ComposableWidget? setAnimation(Div element, BuildContext context) {
//     getWidget(element);
//
//     if (values.has("staggered")) {
//       _processStaggeredItems(element, context);
//     }
//
//     return getWidget(element);
//   }
//
//   void _processStaggeredItems(Div element, BuildContext context) {
//     var children = element.children;
//     var counter = 0;
//     for (var i = 0; i < children.length; i++) {
//       var child = children[i];
//       if (child is Div) {
//         AnimationP? animationPlugin = child.setOwnPlugins(context)?.ownPlugins?.getPluginById("animation") as AnimationP?;
//         if (animationPlugin != null) {
//           child.animationConfig = AnimationConfig(
//             animationIndex: counter++,
//             duration: animationPlugin[2]?.asInt(),
//           );
//         }
//       }
//     }
//   }
//
//   ComposableWidget? getWidget(Div element) {
//      ComposableWidget? result = (wb) => Builder(
//           builder: (context) => wb(context),
//         );
//     for (var value in values.values) {
//       if (value.asString() == "fadein") {
//         var next = result;
//         result = null;
//         result = (wb) => next!(
//               (c) => Builder(
//                 builder: (c) => FadeInAnimation(
//                   child: wb(c),
//                 ),
//               ),
//             );
//       } else if (value.asString() == "slide") {
//         var next = result;
//         result = null;
//         result = (wb) => next!(
//               (c) => Builder(
//                 builder: (c) => SlideAnimation(
//                   verticalOffset: 50,
//                   horizontalOffset: 0,
//                   child: wb(c),
//                 ),
//               ),
//             );
//       }
//     }
//
//     if (result == null) {
//       return null;
//     }
//
//     return (wb) => element.animationConfig != null
//         ? AnimationConfiguration.staggeredList(
//             duration: Duration(milliseconds: element.animationConfig.duration),
//             position: element.animationConfig.animationIndex,
//             child: result!(wb),
//           )
//         : AnimationConfiguration.synchronized(
//             duration: Duration(milliseconds: element.animationConfig.duration),
//             child: result!(wb),
//           );
//   }
//
//   dynamic debugggg() {
//     // print(allRanges.length);
//     return [
//       (values["slide-x"]?.asDouble() ?? 0),
//       -1 * (values["-slide-x"]?.asDouble() ?? 0),
//       (values["slide-y"]?.asDouble() ?? 0),
//       -1 * (values["-slide-y"]?.asDouble() ?? 0),
//      (values["animate"]?.asDouble() ?? 0),
//     ];
//   }
//
//   operator [](key) {
//     if (key is int) {
//       return values.values.firstWhere((element) => element.range == key, orElse: () => Value("animate-3000", 2));
//     }
//     if (key is String) {
//       return values[key];
//     }
//   }
// }
