import 'package:apply/core/plugin.dart';
import 'package:apply/core/range.dart';
import 'package:apply/elements/element_class.dart';

//i kad je hidden, tj. offstage opet mu treba column neka zasad tako bude
class Display extends Plugin {
  final List<Range> ranges = [
  ];
  final String value;


  Display([this.value = "block"]);

  final String id = "display";
  final List<String> keys = [
    'block',
    'inline-block',
    'inline',
    'flex',
    'inline-flex',
    'grid',
    'inline-grid',
    'hidden',
  ];
  bool matches(String key) => keys.contains(key);

  @override
  Display createInstance(ElementClass elementClass) => Display(elementClass.value);
}
